%define module	Jcode
%define name	perl-%{module}
%define version 2.03
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Japanese Charset Handle
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
Buildrequires:	perl-devel

%description
Jcode.pm supports both object and traditional approach. With object approach,
you can go like;

$iso_2022_jp = Jcode->new($str)->h2z->jis;

Which is more elegant than;
 
$iso_2022_jp = &jcode::convert(\$str,'jis',jcode::getcode(\str), "z");

For those unfamiliar with objects, Jcode.pm still supports getcode() and
convert().

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
cd Unicode
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}
cd Unicode
%{makeinstall_std}

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Jcode
%{perl_vendorlib}/Jcode.pm
%{perl_vendorarch}/Jcode
%{perl_vendorarch}/auto/Jcode
%{_mandir}/*/*

%changelog
* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- 2.03

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-1mdk
- New release 2.00
- make test in %%check

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.88-1mdk 
- new version
- spec cleanup
- better url
- rpmbuildupdate aware

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.86-2mdk 
- rebuild for new perl

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.86-1mdk
- 0.86

* Tue Dec 09 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.83-1mdk
- first mdk release
